Subject: bug#59444: ADVICE-ON-FAILURE sed syntax error

From: Mattias Engdegård <[email-masked]>
Date: Mon, 21 Nov 2022 14:11:14 +0100

21 nov. 2022 kl. 13.49 skrev Gregory Heytings <[email-masked]>:

> Again I tested this with (GNU) sed with --posix, and it gave the expected result.

Then what we should learn from this is that GNU sed --posix cannot be trusted blindly to reject non-POSIX features.
This is unsurprising -- it can be difficult to keep all extensions from leaking past the gate.

>  The reason I chose the former expression instead of the latter is because it's how I usually write such patterns.

That doesn't answer the question. Why that roundabout way, rather than the simpler direct approach?

> Fixed (a3b654e069) and closing.

That seems to work. Thank you!